Skip to navigation

Update a webhook subscription

Pause or resume it (resuming clears failure_count), change its URL or headers, or rotate the secret (the new one is returned once).

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idintegerRequired>=1

The subscription’s webhook_id.

Request

This endpoint expects an object.
custom_headersmap from strings to any or nullOptional
namestring or nullOptional1-255 characters
descriptionstring or nullOptional
urlstring or nullOptionalformat: "uri">=1 character
statusenum or nullOptional
Allowed values:
rotate_secretboolean or nullOptionalDefaults to false

Response

The subscription; secret only when it was rotated.

webhook_idinteger
namestring
urlstring
eventenum or any
statusenum or any
api_versionstring
failure_countinteger
created_atdatetime
updated_atdatetime
descriptionstring or nullOptional
custom_header_nameslist of strings or nullOptional
last_failure_atdatetime or nullOptional
last_success_atdatetime or nullOptional
last_status_codeinteger or nullOptional
last_delivery_atdatetime or nullOptional
secretstring or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error